<script setup lang="ts">
import AboutPersonSection from './AboutPersonSection.vue';
import ItemsList from './ItemsList.vue';
import DateCategory from '../libs/DateCategory';
import type { Person } from '@/types/Person';
import { computed } from 'vue';
import DateFormat from '../libs/DateFormat';

const props = defineProps<{
  person: Person;
}>();

const sdgerSince = computed(() => {
  const category = DateCategory.Categorize(props.person.employeeHireDate);
  return category.classificationString;
});

const employeeHireDate = computed(() => DateFormat.format(props.person.employeeHireDate));
const birthDate = computed(() => DateFormat.birthdate(props.person.birthday));
</script>

<template>
  <div>
    <AboutPersonSection icon="user-tie" label="Title">
      {{ props.person.jobTitle }}
    </AboutPersonSection>

    <AboutPersonSection icon="user-tie" label="sdg'er for">
      <span> {{ sdgerSince }}</span>
      <span v-if="sdgerSince"> ({{ employeeHireDate }})</span>
    </AboutPersonSection>

    <AboutPersonSection label="Practice" icon="building">
      {{ props.person.department }}
    </AboutPersonSection>

    <!--<AboutPersonSection label="Manager" icon="id-card">
            <span v-if="props.person.ManagerProfile"
                >{{ props.person.ManagerProfile.FirstName }} {{ props.person.ManagerProfile.LastName }}</span
            >
            <span v-else>unknown</span>
        </AboutPersonSection>
        -->
    <AboutPersonSection label="About Me" icon="user">
      <div><span v-html="props.person.aboutMe" /></div>
    </AboutPersonSection>

    <AboutPersonSection label="Skills" icon="user-graduate">
      <ItemsList :list="props.person.skills" />
    </AboutPersonSection>

    <AboutPersonSection label="Interests" icon="binoculars">
      <ItemsList :list="props.person.interests" />
    </AboutPersonSection>

    <AboutPersonSection label="Ask me about" icon="magnifying-glass-plus">
      <ItemsList :list="props.person.responsibilities" />
    </AboutPersonSection>

    <AboutPersonSection label="Past Assignments" icon="building">
      <ItemsList :list="props.person.pastProjects" />
    </AboutPersonSection>

    <AboutPersonSection label="Birthday" icon="cake-candles">
      <span>{{ birthDate }}</span>
    </AboutPersonSection>
  </div>
</template>
